LDFLAGS?=--ldflags '-extldflags "-static"' --ldflags="-X 'main.commit=$(shell git rev-parse HEAD)' -X 'main.version=$(shell git describe --tags)' -X 'main.date=$(shell date '+%Y-%m-%d %T.%s%z')'"
export CGO_ENABLED=0

.PHONY=jx-cli

build: jx-cli

jx-cli:
	go build -o jx $(LDFLAGS) ./cmd/cli/main.go

test: jx-cli
	go test -coverprofile=artifacts/coverage.profile ./...
	go tool cover -html=artifacts/coverage.profile -o artifacts/code-coverage.html
